Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class DialUpLoginParameter

java.lang.Object
ru.bitel.bgbilling.modules.dialup.server.bean.DialUpLoginParameter

    public class DialUpLoginParameter
    extends java.lang.Object

Параметр логина Dialup

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DialUpLoginParameter()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getListValue()` | Возвращает списковое значение
  `java.lang.String` | `getName()` | Возвращает имя параметра
  `java.lang.String` | `getTitle()` | Возвращает название параметра
  `int` | `getType()` | Возвращает тип параметра
  `java.lang.String` | `getValue()` | Возвращает значение параметра
  `void` | `setListValue​(java.lang.String listValue)` | Устанавливает списковое значение
  `void` | `setName​(java.lang.String name)` | Устанавливает имя параметра
  `void` | `setTitle​(java.lang.String title)` | Устанавливает название параметра
  `void` | `setType​(int type)` | Устанавливает тип параметра
  `void` | `setValue​(java.lang.String value)` | Устанавливает значение параметра

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialUpLoginParameter

    public DialUpLoginParameter()

- ## Method Details

  - ### getType

    public int getType()
    Возвращает тип параметра
    Returns:
      1 - строковый, 2 - булевый, 3 - целочисленный, 4 - десятичный, 5 - списковый

  - ### setType

    public void setType​(int type)
    Устанавливает тип параметра
    Parameters:
      `type` - 1 - строковый, 2 - булевый, 3 - целочисленный, 4 - десятичный, 5 - списковый

  - ### getName

    public java.lang.String getName()
    Возвращает имя параметра
    Returns:
      имя

  - ### setName

    public void setName​(java.lang.String name)
    Устанавливает имя параметра
    Parameters:
      `name` - новое имя

  - ### getTitle

    public java.lang.String getTitle()
    Возвращает название параметра
    Returns:
      название

  - ### setTitle

    public void setTitle​(java.lang.String title)
    Устанавливает название параметра
    Parameters:
      `title` - новое название

  - ### getValue

    public java.lang.String getValue()
    Возвращает значение параметра
    Returns:
      значение

  - ### setValue

    public void setValue​(java.lang.String value)
    Устанавливает значение параметра
    Parameters:
      `value` - новое значение

  - ### getListValue

    public java.lang.String getListValue()
    Возвращает списковое значение
    Returns:
      списковое значение

  - ### setListValue

    public void setListValue​(java.lang.String listValue)
    Устанавливает списковое значение
    Parameters:
      `listValue` -